import service from '@/utils/request'

export const getMakerList = (data) => {
    return service({
        url: "/maker/getMakerList",
        method: 'post',
        data
    })
}

export const getMakerInfo = (data) => {
    return service({
        url: "/maker/getMakerInfo",
        method: 'post',
        data
    })
}

export const confirmMaker = (data) => {
    return service({
        url: "/maker/confirmMaker",
        method: 'post',
        data
    })
}

export const addMaker = (data) => {
    return service({
        url: "/maker/addMaker",
        method: 'post',
        data
    })
}

export const deleteMaker = (data) => {
    return service({
        url: "/maker/deleteMaker",
        method: 'post',
        data
    })
}

export const getMakerByCardCode = (data) => {
    return service({
        url: "/maker/getMakerByCardCode",
        method: 'post',
        data
    })
}